Welcome to OCS Inventory NG community support, where you can ask questions and receive answers from other members of the community.

Please ask questions only in English or French.

Release 2.6 available

The official documentation can be found on http://wiki.ocsinventory-ng.org. Read it before asking your question.

Problems after upgrade from 2.5 to 2.7

Hello guys, how are you? I hope fine.

I'm suffering some troubles after trying to upgrade my OCS Server from 2.4 to 2.7.

The installation happened very well, including the info to upgrade my database. But, after my first login with success, the url x.x.x.x/ocsreports just show me the following:

<?php
/*
 * Copyright 2005-2016 OCSInventory-NG/OCSInventory-ocsreports contributors.
 * See the Contributors file for more details about them.
 *
 * This file is part of OCSInventory-NG/OCSInventory-ocsreports.
 *
 * OCSInventory-NG/OCSInventory-ocsreports is free software: you can redistribute
 * it and/or modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the License,
 * or (at your option) any later version.
 *
 * OCSInventory-NG/OCSInventory-ocsreports is distributed in the hope that it
 * will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OCSInventory-NG/OCSInventory-ocsreports. if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 */

// Check for mbstring before loading session and conf data
if (!extension_loaded('mbstring')) {
    die("Please install php mbstring extension");
}

require("require/fichierConf.class.php");

// Before session_start to allow objects to be unserialized from session
require_once('require/menu/include.php');
require_once('require/config/include.php');

@session_start();

$debut = microtime(true);

// Is it an AJAX call ? (ajax.php)
if (!defined('AJAX')) {
    define('AJAX', false);
}

require ('require/header.php');
addLog('PAGE', $protectedGet[PAG_INDEX]);

if (!AJAX && !isset($protectedGet["popup"]) && !isset($protectedGet["no_footer"])) {
    require (FOOTER_HTML);
}

I 've tried many things, but nothing solve my problems...

Could you help with some suggestions?

Tks,

Orlando

in OCS Inventory NG server for Unix by (170 points)

3 Answers

+1 vote
Hi,

Install mbstring for php if missing. Some errors in error.log file of apache ?

Regards

Frank
by (77.3k points)
0 votes

Hello Frank,

Yes, it's loade (mbstring)

root:~# php -m

[PHP Modules]

calendar

Core

ctype

curl

date

dom

exif

fileinfo

filter

ftp

gd

gettext

hash

iconv

json

libxml

mbstring

mysqli

mysqlnd

openssl

pcntl

pcre

PDO

pdo_mysql

Phar

posix

readline

Reflection

session

shmop

SimpleXML

soap

sockets

SPL

standard

sysvmsg

sysvsem

sysvshm

tokenizer

wddx

xml

xmlreader

xmlwriter

xsl

Zend OPcache

zip

zlib

None errors in error.log.. bizarre

by (170 points)
0 votes
php is well activated in apache ?
by (77.3k points)
 
Powered by Question2Answer
...